Listar processos judiciais da análise
curl --request GET \
--url https://api.nlbs.ai/analyses/{analysis_uuid}/legal-casesimport requests
url = "https://api.nlbs.ai/analyses/{analysis_uuid}/legal-cases"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.nlbs.ai/analyses/{analysis_uuid}/legal-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"aggregates": {
"active": 123,
"passive_pole": 123,
"status_breakdown": {
"active": 123,
"archived": 123,
"closed": 123,
"dismissed": 123,
"pending": 123,
"suspended": 123,
"under_appeal": 123,
"unknown": 123
},
"total": 123,
"total_value": 123,
"case_types": [
{
"case_type": "judicial",
"count": 123
}
],
"classes": [
{
"code": "<string>",
"count": 123,
"name": "<string>"
}
],
"courts": [
{
"count": 123,
"court_name": "<string>",
"id": 123
}
],
"subjects": [
{
"code": "<string>",
"count": 123,
"name": "<string>"
}
]
},
"items": [
{
"legal_case_id": "<string>",
"case_number": "<string>",
"case_status": "active",
"case_type": "judicial",
"case_value": 123,
"classes": [
{
"code": "<string>",
"is_primary": false,
"name": "<string>"
}
],
"court": {
"court_name": "<string>",
"id": 123,
"city": "<string>",
"court_code": "<string>",
"state": "<string>"
},
"currency": "<string>",
"current_grau": "G1",
"filing_date": "2023-12-25",
"last_movement_date": "2023-12-25",
"last_movement_name": "<string>",
"role": "plaintiff",
"role_detail": "<string>",
"secrecy_level": "public",
"subject_is_party": true,
"subjects": [
{
"code": "<string>",
"is_primary": false,
"name": "<string>"
}
]
}
],
"total": 123
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}{
"detail": "Resource not found."
}Sinais, eventos e processos
Listar processos judiciais da análise
Processos judiciais no snapshot desta análise, com sobreposição de última movimentação vinda da serving. Os agregados cobrem o conjunto filtrado do snapshot, não o corpus Mongo completo da entidade.
GET
/
analyses
/
{analysis_uuid}
/
legal-cases
Listar processos judiciais da análise
Path Parameters
Query Parameters
Available options:
active, closed, suspended, archived, pending, under_appeal, dismissed Available options:
plaintiff, defendant, claimant, respondent, appellant, appellee, victim, investigated, defendant_criminal, convicted, witness, lawyer, prosecutor, judge, court, public_agency, interested_party, third_party, expert, other Available options:
judicial, criminal, civil, labor, tax, electoral, administrative_judicial, constitutional, bankruptcy, enforcement, appeal, investigation Início inclusivo de filing_date. Não filtra last_movement_date.
Fim inclusivo de filing_date. Não filtra last_movement_date.
Available options:
last_movement, filing_date, case_value Available options:
asc, desc Required range:
1 <= x <= 100Required range:
x >= 0
